
SCM Creator (+Github) - Bug #2325

Cannot add existing github repo

13 Aug 2014 12:56 - Mikalai Turyshau

Status: Incomplete Start date: 13 Aug 2014

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version:  External issue:  

Description

Hello! i’m trying to add my github repo to project.

but get different errors like a “500 internal error”? but no error messages in apache log

I’ve also tried start rails directly via

rails s -e production

and get the next error

NoMethodError (undefined method `[]' for nil:NilClass):

app/controllers/repositories_controller.rb:55:in `create’

could you please help me?

My environment:

redmine configured via apache phusion passenger and mod_fastcgi

script/about

sh: darcs: command not found

sh: hg: command not found

sh: cvs: command not found

sh: bzr: command not found

Environment:

Redmine version                2.5.2.stable

Ruby version                   1.9.3-p547 (2014-05-14) [x86_64-linux]

Rails version                  3.2.19

Environment                    production

Database adapter               PostgreSQL

SCM:

Subversion                     1.6.11

Git                            1.7.1

Filesystem

Github                         1.7.1

Redmine plugins:

redmine_scm                    0.5.0b

plugin installed succesfully, db migrated.

scm.yml

production:

deny_delete: false

auto_create: false

force_repository: false

max_repos: 5

only_creator: false

allow_add_local: true

allow_pickup: false

git:

path: /var/www/git

git: git

options:

url: http://redmine.mrsoul.tk

update_server_info: true

git_ext: false

github:
path: /var/www/github

development:

redmine.conf

<VirtualHost *:80>

ServerName redmine.mrsoul.tk       # !!! Be sure to point DocumentRoot to 'public'!

DocumentRoot /var/www/redmine/public

ErrorLog logs/redmine_error_log

<Directory /var/www/redmine/public>          # This relaxes Apache security settings.

Options Indexes ExecCGI FollowSymLinks -MultiViews

Order allow,deny

Allow from all

AllowOverride all

</Directory>

</VirtualHost>

passenger.conf

LoadModule passenger_module /usr/local/rvm/gems/ruby-1.9.3-p547/gems/passenger-4.0.48/buildout/apache2/mod_passenger.so

<IfModule mod_passenger.c>

PassengerRoot /usr/local/rvm/gems/ruby-1.9.3-p547/gems/passenger-4.0.48

PassengerDefaultRuby /usr/local/rvm/gems/ruby-1.9.3-p547/wrappers/ruby

PassengerDefaultUser apache

</IfModule>

owner of next folders is apach:apache

/var/www/redmine

/var/www/git

/var/www/github

History

#1 - 14 Dec 2014 18:20 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

#2 - 15 Dec 2014 07:47 - Andriy Lesyuk

- Target version set to 0.5.1

#3 - 18 Dec 2016 20:57 - Andriy Lesyuk

- Status changed from Open to Incomplete

- Target version deleted (0.5.1)

I could not reproduce this bug. Assuming it has already been fixed (in SVN).

If it’s still actual for you, please try again and let me know the result. Sorry for the huge delay.
